Skip to main content
POST
/
v3
/
messages
Send message
curl --request POST \
  --url https://api.wavix.com/v3/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from": "Wavix",
  "to": "+447537151866",
  "message_body": {
    "text": "Hi there, this is a message from Wavix",
    "media": null
  },
  "callback_url": "https://you-site.com/webhook",
  "validity": 3600,
  "tag": "Fall sale"
}
'
{
  "carrier_fees": "0.0",
  "charge": "0.0",
  "delivered_at": "2024-05-28T12:34:56Z",
  "error_message": null,
  "from": "Sender",
  "mcc": "310",
  "mnc": "260",
  "message_body": {
    "text": "This is a test MMS message with multiple media attachments.",
    "media": [
      "https://api.examples.com/v3/messages/attachments/abc123/file1.mp3",
      "https://api.examples.com/v3/messages/attachments/abc123/file2.mp3",
      "https://api.examples.com/v3/messages/attachments/abc123/file3.mp3"
    ]
  },
  "message_id": "abc123de-4567-890f-gh12-ijklmnop3456",
  "message_type": "mms",
  "segments": 1,
  "sent_at": "2024-05-28T12:34:54Z",
  "status": "accepted",
  "submitted_at": "2025-09-22T09:07:53",
  "tag": "campaign_test",
  "to": "+15551234567"
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Body

application/json

Message details.

Message configuration.

from
string
required

Sender ID. Numeric or alphanumeric.

Example:

"Wavix"

to
string
required

Recipient phone number.

Example:

"447537151866"

message_body
MessageBody · object
required
callback_url
string

Callback URL for delivery reports.

Example:

"https://you-site.com/webhook"

validity
integer<int32>

Message validity period in seconds. Delivery attempts stop after this period expires.

Example:

3600

tag
string

Tag to group messages, such as for a specific campaign.

Example:

"Fall sale"

Response

Message submitted.

carrier_fees
string

Mobile carrier fees in USD.

Example:

"0.0"

charge
string

Total charge for the message in USD.

Example:

"0.0"

direction
string

Message direction. Possible values are outbound, inbound.

Example:

"outbound"

delivered_at
string<date-time>

Date and time the message was delivered in ISO 8601 format.

Example:

"2024-05-28T12:34:56Z"

error_message
string | null

Error message.

from
string

Sender ID.

Example:

"Sender ID."

mcc
string

Mobile country code.

Example:

"310"

mnc
string

Mobile network code.

Example:

"260"

message_body
object
message_id
string

Message ID.

Example:

"abc123de-4567-890f-gh12-ijklmnop3456"

message_type
string

Message type.

Example:

"mms"

segments
integer

Number of SMS segments. Always 1 for MMS.

Example:

1

sent_at
string<date-time>

Date and time the message was sent in ISO 8601 format.

Example:

"2024-05-28T12:34:54Z"

status
string

Message status.

Example:

"accepted"

submitted_at
string

Date and time the message was submitted in ISO 8601 format.

Example:

"2025-09-22T09:07:53Z"

tag
string

Message tag.

Example:

"campaign_test"

to
string

Recipient phone number.

Example:

"+15551234567"